Page MenuHomePhabricator

Gracefully handle edge case where wiki is not receiving edits
Closed, ResolvedPublic

Description

When setting up a new wiki with ORES enabled, the extension causes Special:RecentChanges to crash. This is fixed by making an edit on the wiki, so high-volume wikis will hardly notice this glitch, but for smaller or development wikis it can be awkward and confusing. We should catch the exception and gracefully degrade the S:RC page to not include ORES functionality.

See T197584, T183266, T183862, T184938, T183606

Event Timeline

awight created this task.Jun 19 2018, 8:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 8:02 AM
awight triaged this task as Low priority.Jun 19 2018, 8:03 AM

Change 441856 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Graceful handle of exceptions

https://gerrit.wikimedia.org/r/441856

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 25 2018, 1:06 PM
Vvjjkkii renamed this task from Gracefully handle edge case where wiki is not receiving edits to 4oaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 4oaaaaaaaa to Gracefully handle edge case where wiki is not receiving edits.Jul 2 2018, 11:49 AM
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 441856 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Graceful handle of exceptions

https://gerrit.wikimedia.org/r/441856

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Aug 22 2018, 6:08 PM
Ladsgroup closed this task as Resolved.Nov 1 2018, 8:01 PM